#!/bin/bash

# NOTES:
# Run this on the development machine.
# NOT to be used in a collaborative environment:

# Accept the name of the branch that you want to work on:
echo "Branch : "
read -r BRANCH

# Accept a comment from the terminal:
echo "Comment: "
read -r COMMENT

# Add all the modified files to the intended commit:
git add .
echo "Files added."

# Make the commit:
git commit -m "$COMMENT"
echo "Commit done."

# Push th commit to git:
git push -u https://wtt.ditscentre.in/ditscentre/api_utils_converse_v2.git "$BRANCH"
echo "Attempt done. Exiting."